commit 9391ed101cb401e5fda6b39978bd16b263931526
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 08:20:12 2022

    aarch64: testsuite: disable stack protector for sve-pcs tests
    
    If GCC is configured with --enable-default-ssp, the stack protector can
    make many sve-pcs tests fail.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/aarch64/sve/pcs/aarch64-sve-pcs.exp (sve_flags):
            Add -fno-stack-protector.
    
    (cherry picked from commit edb336cc575a82cfc2a883e4c3453c36267482c1)

diff --git a/gcc/testsuite/gcc.target/aarch64/sve/pcs/aarch64-sve-pcs.exp b/gcc/testsuite/gcc.target/aarch64/sve/pcs/aarch64-sve-pcs.exp
index 83786733f35..76f5fd4ffd8 100644
--- a/gcc/testsuite/gcc.target/aarch64/sve/pcs/aarch64-sve-pcs.exp
+++ b/gcc/testsuite/gcc.target/aarch64/sve/pcs/aarch64-sve-pcs.exp
@@ -37,11 +37,12 @@ if ![info exists DEFAULT_CFLAGS] then {
 # Initialize `dg'.
 dg-init
 
-# Force SVE if we're not testing it already.
+# Force SVE if we're not testing it already.  And, disable stack protector
+# to avoid test failures with --enable-default-ssp.
 if { [check_effective_target_aarch64_sve] } {
-    set sve_flags ""
+    set sve_flags "-fno-stack-protector"
 } else {
-    set sve_flags "-march=armv8.2-a+sve"
+    set sve_flags "-march=armv8.2-a+sve -fno-stack-protector"
 }
 
 # Main loop.

